Subject: Re: FW: Final Call: OMG requests info on multilingual input facilities

From: "Nabil M. El-Khodari" <[email-masked]>
Date: Thu, 03 Oct 1996 12:40:43 -0400

Sirs:

AccentSoft has developed such a facility a program they called
AccenType. It is actually a memory-resident program that you can use to
type with selected character set (AccentSoft supports 30 different
languages). The program when activated displays a keyboard with the
characters corresponding to the language selected. 

AccentSoft no longer make that program available, may be because it did
not deliver what was expected of it. I am actually still using it, as I
do Arabic WWW publishing under Windows 95 (US version), and have
successfully used it to type in other programs as MS Word and some
Graphic software. Its failure is however is that it does not work with
all programs. The keyboard definition need not be changed. Of course the
user must have the true type fonts of the language used.

I believe AccentSoft would be more than happy to invest resources to
make that program fully-functioning if it is in need. 

Hoping that AccentSoft will make copies of the program available to the
UNICODE members on request for evaluation.

I used AccentSoft programs to produce the logo of the "Arabic Language
on the WWW" ring. The URL is in my .sig file.

Best wishes,
-- 
Nabil M. El-Khodari	  HTML Writers Guild	mailto:[email-masked]
Web designer	 Software Contractors' Guild	Tel.: (416) 762-5135
http://www.geocities.com/RainForest/3285/	Fax.: (416) 762-3490
President, FITS (Falcon International Teleco./Translation Services)
Ringmaster, Arabic Ring,
http://www.geocities.com/RainForest/3285/ring.html
Alain LaBont/e'/ wrote:
> 
> Mr. Arai,
> 
> Arnold Winkler sent me the following message which I might have received
> already (I do not remember) but it was unnoticed perhaps in a myriad of
> other messages. Please note the imminent existence of an international
> standard on "Input methods to enter characters from the repertoire of the
> UCS, with the help of [any national] keyboard and other input devices"...
> these methods, not intended to replace existing optimized national input
> methods, are intended to be usable worldwide in the same way, to allow
> access to all characters of the UCS (UNICODE), even for those characters not
> available via national methods or keyboard layouts.
> 
> The document is currently a draft international standard available in both
> English and French versions: ISO/IEC DIS 14755 and the DIS ballot is closing
> in November (although we resquested that feedback be given before next week,
> as the responsible working group, ISO/IEC JTC1/SC18/WG9 (User-system
> interfaces), is meeting in London next week.
> 
> The document includes basic keyboard methods which give a code-independent
> access to any character. It also has prescriptions on screen-pointing input
> (always code-independent), selection of sets by mnemonic methods, and
> feedback on the actual identification of a character (with a
> code-idenpendent identifier, actual coding used, and character name in the
> user's language when applicable) pointed on a screen (a glyph may not
> correspond to the character desired by the user, otherwise, many characters
> sharing the same glyph).
> 
> I hope this will be useful for your gathering requirements.
> 
> Alain LaBonté
> ISO/IEC 14755 Project Editor
> ______________________________________________________________
> At 08:49 03/10/1996 EDT, Winkler, Arnold F           TR wrote:
> >
> >
> > ----------
> >From: unicode
> >To: unicode
> >Subject: Final Call: OMG requests info on multilingual input facilities
> >Date: Friday, September 13, 1996 10:43AM
> >
> >Return-Path: <[email-masked]>
> >Received: from trsvr.tr.unisys.com by trpo1.tr.unisys.com id
> >    <[email-masked]>; Fri, 13 Sep 96 13:59:27 EDT
> >Received: from bbmail1.unisys.com by trsvr.tr.unisys.com (8.6.12/8.6.12) id
> >    RAA24364 ; Fri, 13 Sep 1996 17:55:25 GMT
> >From: <[email-masked]>
> >Received: from Unicode.ORG (unicode.org [192.195.185.2]) by
> >bbmail1.unisys.com
> >    (8.7.3/8.6.12) with SMTP id RAA24095 for <[email-masked]>;
> >    Fri, 13 Sep 1996 17:59:44 GMT
> >Received: by Unicode.ORG (NX5.67c/NX3.0M) id AA07503; Fri, 13 Sep 96
> >10:43:13
> >    -0700
> >Date: Fri, 13 Sep 96 10:43:13 -0700
> >Message-Id: <[email-masked]>
> >Reply-To: Joshua Arai <[email-masked]>
> >Errors-To: [email-masked]
> >Subject: Final Call: OMG requests info on multilingual input facilities
> >To: [email-masked]
> >
> >
> >This is a multi-part message in MIME format.
> >
> > --------------1D695A106C57
> >Content-Type: text/plain; charset=us-ascii
> >Content-Transfer-Encoding: 7bit
> >
> >Dear Unicoders,
> >
> >For those of you working in the area of input facilities,
> >such as, but not limited to, singlebyte to multibyte
> >conversions, alphabet to local characters, and phonetic
> >representations to pictoglyphs, this is a final call for
> >contributing your expertise and visions to Object Management
> >Group (OMG). OMG is an organization which standardizes and
> >promotes the CORBA object technology.
> >
> >    OMG is currently requesting for information on
> >Asian Input Facility [CF RFI5: Asian Input Facility].
> >OMG is pursuing for defining a common interface for
> >input facilities so that CORBA objects can
> >share input facilities in cross-platform environment
> >if input facilities adopt defined IDL interface.
> >Although the RFI is titled with "Asian" as a prefix,
> >the RFI does not limit submitters to those who are
> >concerned with Asian characters. If you are working with
> >"non-Asian" input facilities and believe incorporation
> >of your needs are essential, please feed your information and
> >interests to OMG.
> >
> >    Submissions to this Request for Information will be closed
> >on October 16, 1996. Submissions are to be reviewed by
> >OMG's Common Facility Task Force in November, and interface standard
> >will be proposed thereafter.
> >
> >   For your convenience, the RFI document is attached to this mail.
> >The file is in RTF. For further information, visit OMG's home page,
> >http://www.omg.org or email me ([email-masked]).
> >Thank youf
> >
> >Best regards,
> >
> >Joshua Arai
> > -Justsystem